classification
Title: 3.3 unittest document not kept consist with code
Type: Stage: resolved
Components: Documentation Versions: Python 3.3
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: ezio.melotti Nosy List: Arfrever, docs@python, ezio.melotti, georg.brandl, gvanrossum, michael.foord, python-dev, rhettinger, terry.reedy, ysj.ray
Priority: normal Keywords:

Created on 2011-02-22 06:09 by ysj.ray, last changed 2011-04-03 17:01 by ezio.melotti. This issue is now closed.

Messages (8)
msg129036 - (view) Author: ysj.ray (ysj.ray) Date: 2011-02-22 06:09
r88451:
Remove unittest methods scheduled for removal in 3.3

This commit remove assertSameElements() and assertDictContainsSubset(). But shouldn't some modification be done in the unittest library documentation? I wonder if we should remove the docs about the two methods. Now the doc only said "Deprecated since version 3.2."
msg129409 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2011-02-25 19:57
Georg, what is policy on removed features?
Remove doc or leave and state removed?

"Deprecated in version 3.2 and removed in 3.3."
 or just
"Removed in version 3.3"
(Once removed, does it really matter when deprecated?)

If left, should they be moved to separate section, especially when multiple? It could be a bit annoying for newcomers starting with 3.3 to read and struggle to understand and then read that they just wasted their time. There enough things already to learn and remember.
msg129410 - (view) Author: Michael Foord (michael.foord) * (Python committer) Date: 2011-02-25 20:03
Actually I think these methods are going back in and staying deprecated, so hold off for a bit.
msg129413 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2011-02-25 20:07
Removed things are also removed from the doc.  I just committed as much as was necessary to stop buildbot breakage, and notified Michael to take care of the rest (which he did, by explaining I removed the wrong thing :)
msg130716 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2011-03-13 01:07
Michael, what's the status of this?
Do you think some of the removed methods should be added back even if they are marked as "removed in 3.3" in the 3.2 doc?
msg130890 - (view) Author: Michael Foord (michael.foord) * (Python committer) Date: 2011-03-14 20:13
Those methods should *not* have been removed. I thought we had discussed this. It is my fault for allowing the error in the 3.2 docs to remain.
msg132813 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2011-04-02 20:39
Guido decided to leave the fail* methods and assertDictContainsSubset in 3.3 (and possibly even in the following versions), so that people moving from 2.7 to 3.3 don't have to change their code because these methods are missing.
Since assertSameElements is not in 2.7, it can be removed in 3.3.

I will therefore backout r88451 and add back the fail* methods and assertDictContainsSubset.
msg132839 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2011-04-03 15:03
New changeset 1fd736395df3 by Ezio Melotti in branch '3.2':
#11282: the fail* methods will stay around a few more versions.
http://hg.python.org/cpython/rev/1fd736395df3

New changeset 110bb604bc2f by Ezio Melotti in branch 'default':
#11282: merge with 3.2.
http://hg.python.org/cpython/rev/110bb604bc2f

New changeset aa658836e090 by Ezio Melotti in branch 'default':
#11282: add back the fail* methods and assertDictContainsSubset.
http://hg.python.org/cpython/rev/aa658836e090
History
Date User Action Args
2011-04-03 17:01:33ezio.melottisetstatus: open -> closed
resolution: fixed
stage: needs patch -> resolved
2011-04-03 15:03:33python-devsetnosy: + python-dev
messages: + msg132839
2011-04-02 20:39:50ezio.melottisetnosy: + gvanrossum, rhettinger
messages: + msg132813
2011-03-20 01:50:07ezio.melottisetassignee: michael.foord -> ezio.melotti
nosy: georg.brandl, terry.reedy, ezio.melotti, Arfrever, michael.foord, ysj.ray, docs@python
2011-03-14 20:13:48michael.foordsetnosy: georg.brandl, terry.reedy, ezio.melotti, Arfrever, michael.foord, ysj.ray, docs@python
messages: + msg130890
2011-03-13 01:07:29ezio.melottisetnosy: georg.brandl, terry.reedy, ezio.melotti, Arfrever, michael.foord, ysj.ray, docs@python
messages: + msg130716
2011-02-27 17:21:09Arfreversetnosy: + Arfrever
2011-02-25 20:07:58georg.brandlsetnosy: georg.brandl, terry.reedy, ezio.melotti, michael.foord, ysj.ray, docs@python
messages: + msg129413
2011-02-25 20:04:03michael.foordsetassignee: docs@python -> michael.foord
nosy: georg.brandl, terry.reedy, ezio.melotti, michael.foord, ysj.ray, docs@python
2011-02-25 20:03:02michael.foordsetnosy: georg.brandl, terry.reedy, ezio.melotti, michael.foord, ysj.ray, docs@python
messages: + msg129410
2011-02-25 19:57:51terry.reedysetnosy: + terry.reedy, georg.brandl
title: unittest document not keep consist with code -> 3.3 unittest document not kept consist with code
messages: + msg129409

stage: needs patch
2011-02-22 23:05:14ezio.melottisetnosy: + michael.foord
2011-02-22 23:04:53ezio.melottisetnosy: + ezio.melotti
2011-02-22 06:09:58ysj.raycreate